Summary: System logging and kernel message trapping daemons.
Name: sysklogd
Version: 1.4.1
Release: 31tr
License: GPL
Group: Trustix Official
Source0: http://www.ibiblio.org/pub/Linux/system/daemons/sysklogd-1.4.1.tar.gz
Source1: sysklogd.conf
Source2: sysklogd.init
Source3: sysklogd.logrotate
Source4: sysklogd.args
Patch0: sysklogd-1.4.1-security.patch
Patch1: sysklogd-1.4.1-alpha.patch
Patch2: sysklogd-1.4.1-rh.patch
Patch3: sysklogd-1.4.1-utmp-process.patch
Patch4: sysklogd-1.4.1-sparc.patch
Patch6: sysklogd-1.4.1-nullterm.patch
Patch8: sysklogd-1.4.1-ksyms.patch
Patch9: sysklogd-1.4.1-fmt-string.patch
Prereq: coreutils, chkconfig, tsl-utils, shadow-utils
Prereq: grep
Requires: logrotate, coreutils, %{name}-conf
BuildRoot: /var/tmp/syslog-root

%description
The sysklogd package contains two system utilities (syslogd and klogd)
which provide support for system logging.  Syslogd and klogd run as
daemons (background processes) and log system messages to different
places, like sendmail logs, security logs, error logs, etc.

%package conf
Summary: New config file for sysklogd
Group: Trustix Official
Conflicts: %{name}-conf-central
PreReq: %{name}

%description conf
This package contains the new style configuration file for sysklogd.

You need to install either this package or sysklogd-conf-central package.


%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
#%patch5 -p1
%patch6 -p1
#%patch7 -p1
%patch8 -p1
%patch9 -p1

%build
make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"
mkdir -p $RPM_BUILD_ROOT/{etc/sysconfig,usr/{bin,share/man/man{5,8},sbin,share}}
mkdir -p $RPM_BUILD_ROOT/{sbin,var/log/{kernel,cron,mail,named,imapd,daemon}}

make install TOPDIR=$RPM_BUILD_ROOT

cd $RPM_BUILD_ROOT
install -m644 $RPM_SOURCE_DIR/sysklogd.conf ./etc/syslog.conf
install -m644 $RPM_SOURCE_DIR/sysklogd.args ./etc/sysconfig/sysklogd
strip $RPM_BUILD_ROOT/sbin/* 

mkdir -p $RPM_BUILD_ROOT/etc/{init.d,logrotate.d}
install -m755 $RPM_SOURCE_DIR/sysklogd.init $RPM_BUILD_ROOT/etc/init.d/syslog
install -m644  $RPM_SOURCE_DIR/sysklogd.logrotate $RPM_BUILD_ROOT/etc/logrotate.d/syslog

chmod 755 $RPM_BUILD_ROOT/sbin/syslogd
chmod 755 $RPM_BUILD_ROOT/sbin/klogd

mkdir -p $RPM_BUILD_ROOT/var/spool/sysklog.d/dev


%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post
chkconfig --add syslog
# If it is an install of the package, we make syslogd run per default
if [ $1 = 1 ]; then
	chkconfig syslog on
fi

%post conf
# Check whether we need to add syslog user/group
if ! getent group syslog>/dev/null 2>/dev/null; then
	/usr/sbin/groupadd -g 60 syslog
fi
if ! getent passwd syslog>/dev/null 2>/dev/null; then
	/usr/sbin/useradd -d /var/log -g syslog -s /bin/false -u 60 syslog
fi

# Create the files
for dir in auth kernel cron mail swup openldap imapd named daemon system; do
	mkdir -p -m 750 /var/log/$dir
	for file in debug info errors notice warnings; do
		touch /var/log/$dir/$file
		chmod 640 /var/log/$dir/$file
	done
	chown -R syslog.syslog /var/log/$dir
done

for file in boot.log messages secure spooler; do
	touch /var/log/$file
	chmod 640 /var/log/$file
	chown syslog.syslog /var/log/$file
done

# This needs to be done this way in order to avoid installation troubles
if [ -x /sbin/restart_maybe ] ; then
	/sbin/restart_maybe syslog
fi

%preun
if [ $1 = 0 ]; then
   service syslog stop
   /sbin/chkconfig --del syslog
fi

%files
%defattr(-,root,root)
%doc ANNOUNCE README* NEWS INSTALL
%config(noreplace) /etc/sysconfig/sysklogd
/etc/init.d/syslog
/sbin/*
%{_mandir}/*/*
%dir /var/spool/sysklog.d/dev

%files conf
%defattr(-,root,root)
%config(noreplace) /etc/syslog.conf
%config /etc/logrotate.d/syslog
# We deliberately keep the log files even after an uninstall.
# Therefore, they are not listed here.

%changelog
* Mon Sep 22 2003 Erlend Midttun <erlendbm at trustix dot com> 1.4.1-29tr
- Added "named" to local2.

* Fri Aug  1 2003 Erlend Midttun <erlendbm at trustix dot com> 1.4.1-28tr
- cron.* is no longer duplicated to messages.

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 1.4.1-27tr
- Big rebuild

* Mon Jun  2 2003 Erlend Midttun <erlendbm at trustix dot com> 1.4.1-26em
- Now with local4 for openldap.

* Mon May 26 2003 Erlend Midttun <erlendbm at trustix dot com> 1.4.1-25em
- fileutils, sh-utils -> coreutils.

* Fri May 23 2003 Erlend Midttun <erlendbm at trustix dot com> 1.4.1-24em
- Added /var/log/auth/*

* Thu May  1 2003 Erlend Midttun <erlendbm at trustix dot com> 1.4.1-23em
- daemons -> daemon in syslog.conf

* Wed Apr 30 2003 Erlend Midttun <erlendbm at trustix dot com> 1.4.1-22em
- Fixed logrotate script.

* Tue Apr 29 2003 Erlend Midttun <erlendbm at trustix dot com> 1.4.1-21em
- Added separate file for auth.

* Tue Apr 29 2003 Erlend Midttun <erlendbm at trustix dot com> 1.4.1-20em
- Added one logrotate entry for each file in the syslog.conf
- Added info, debug and notice lines to syslog.conf

* Tue Apr 22 2003 Erlend Midttun <erlendbm at trustix dot com> 1.4.1-19em
- New uid.

* Thu Apr 10 2003 Erlend Midttun <erlendbm at trustix dot com> 1.4.1-18em
- Forgot /var/log/swup.
- Rewrote %post.

* Wed Apr  9 2003 Erlend Midttun <erlendbm at trustix dot com> 1.4.1-17em
- Add the new files and directories.
- Cleaned up the logrotate part.

* Wed Apr 02 2003 Christian H. Toldnes <christht at trustix dot com> 1.4.1-16ct
- Include syslog and logrotate setup for swup.

* Mon Mar 24 2003 Erlend Midttun <erlendbm at trustix dot com> 1.4.1-15em
- Rebuilt against glibc 2.3.2.

* Mon Mar 24 2003 Christian H. Toldnes <christht at trustix dot com> 1.4.1-14ct
- Fix logrotate script to use new layout.

* Mon Mar 24 2003 Christian H. Toldnes <christht at trustix dot com> 1.4.1-13ct
- Better splitting of log files.

* Thu Feb 11 2003 Erlend Midttun <erlendbm at trustix dot com> 1.4.1-12em
- Fixed startup level.

* Thu Nov 21 2002 Christian H. Toldnes <christht at trustix dot com> 1.4.1-11ct
- initscript now uses $INITLOCK

* Fri Oct 25 2002 Christian H. Toldnes <christht at trustix dot com> 1.4.1-10ct
- Reintroduced %dir /var/spool/sysklog.d/dev, as it is needed for the dummy
  logging device. :)

* Fri Sep 20 2002 Christian H. Toldnes <christht at trustix dot com> 1.4.1-9ct
- Removed dummy logging device for chrooted jails, think this is generated
  by the binary....

* Tue Aug 13 2002 Christian H. Toldnes <christht at trustix dot com> 1.4.1-8ct
- Added dummy logging device for chrooted jails.

* Wed Jul 17 2002 Roland Kruse <rolandk at trustix dot com> 1.4.1-7rk
- Removed obsolete -r option to useradd in %post.

* Wed Jul 17 2002 Christian H. Toldnes <christht at trustix dot com> 1.4.1-6ct
- Moved init scripts to /etc/init.d

* Mon Jun 24 2002 Christian H. Toldnes <christht at trustix dot com> 1.4.1-5ct
- Rebuild for TSL-2.0
- Added Requires: sh-utils

* Thu Apr 18 2002 Christian H. Toldnes <christht at trustix dot com>
- Added -r attribute to useradd.

* Tue Jul 17 2001 Oystein Viggen <oysteivi at trustix dot com>
- Hack around problems due to a bug in the former package

* Tue Mar  6 2001 Alexander Reelsen <ar at trustix dot com>
- Picked up 1.4
- Existing security patches merged with upstream partly
- root privileges are dropped after start of syslogd and klogd

* Tue Sep 19 2000 Erlend Midttun <erlendbm at trustix dot com>
- Integrated sec fixes from notting@redhat.com, jakub@redhat.com,
  solar@false.com and dan@debian.org.

* Wed Mar 29 2000 Lars Gaarden <larsg at trustix dot com>
- moved man pages to /usr/share, FHS

